CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::CompareY_2 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::CompareY_2 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableBinaryFunction`

See also
  `CGAL::compare_y()`

## Operations
A model of this concept must provide:
Comparison_result | operator() (const Kernel::Point_2 &p, const Kernel::Point_2 &q)
| Compares the Cartesian \( y\)-coordinates of points `p` and `q`
Comparison_result | operator() (const Kernel::Point_2 &p, const Kernel::Line_2 &l1, const Kernel::Line_2 &l2)
| compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`.
Comparison_result | operator() (const Kernel::Line_2 &l, const Kernel::Line_2 &h1, const Kernel::Line_2 &h2)
| compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.
Comparison_result | operator() (const Kernel::Line_2 &l1, const Kernel::Line_2 &l2, const Kernel::Line_2 &h1, const Kernel::Line_2 &h2)
| compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

## Member Function Documentation

## ◆ operator()() [1/3]

Comparison_result Kernel::CompareY_2::operator() | ( | const Kernel::Line_2 & | l,
|  | const Kernel::Line_2 & | h1,
|  | const Kernel::Line_2 & | h2
| ) |  |

compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.

See Figure fig-compare14 (b).

## ◆ operator()() [2/3]

Comparison_result Kernel::CompareY_2::operator() | ( | const Kernel::Line_2 & | l1,
|  | const Kernel::Line_2 & | l2,
|  | const Kernel::Line_2 & | h1,
|  | const Kernel::Line_2 & | h2
| ) |  |

compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

See Figure fig-compare14 (c).

## ◆ operator()() [3/3]

Comparison_result Kernel::CompareY_2::operator() | ( | const Kernel::Point_2 & | p,
|  | const Kernel::Line_2 & | l1,
|  | const Kernel::Line_2 & | l2
| ) |  |

compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`.

See Figure fig-compare14 (a).